upgrade jquery 3.4.1 to 3.5.1

Bug #1889341 reported by Lisa Seeto on 2020-07-29
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Status tracked in 20.10
19.04
High
Unassigned
19.10
High
Unassigned
20.04
High
Unassigned
20.10
High
Lisa Seeto

Bug Description

Related to https://bugs.launchpad.net/mahara/+bug/1865115

jquery is now at 3.5.1 and we are on 3.4.1. Version 3.5.0 contained security fixes as described below:

https://blog.jquery.com/2020/04/10/jquery-3-5-0-released/

Change log:
https://github.com/jquery/jquery/compare/3.4.1...3.5.1

Lisa Seeto (lisaseeto) on 2020-07-29
Changed in mahara:
status: New → In Progress
assignee: nobody → Lisa Seeto (lisaseeto)

Updating a third party plugin that has a publicly known security issue

information type: Public → Public Security
Robert Lyon (robertl-9) on 2020-08-02
summary: - upgrade jquery 3.41 to 3.5.1
+ upgrade jquery 3.4.1 to 3.5.1

Reviewed: https://reviews.mahara.org/11092
Committed: https://git.mahara.org/mahara/mahara/commit/49efbd9bdb512e9ed603cfcce19b37d385a6daf1
Submitter: Cecilia Vela Gurovic (<email address hidden>)
Branch: master

commit 49efbd9bdb512e9ed603cfcce19b37d385a6daf1
Author: Lisa Seeto <email address hidden>
Date: Wed Jul 29 16:20:34 2020 +1200

Bug 1889341: upgrade jquery 3.4.1 to 3.5.1

- updated jquery using min file found here: https://code.jquery.com/jquery-3.5.1.min.js

Change-Id: I2d83e0fdf9ff4ab888e16522128778f45d313780
Signed-off-by: Lisa Seeto <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "19.10_STABLE" branch: https://reviews.mahara.org/11153

Reviewed: https://reviews.mahara.org/11152
Committed: https://git.mahara.org/mahara/mahara/commit/86fe066274b945b38123b7133cd8d731fad1cc18
Submitter: Cecilia Vela Gurovic (<email address hidden>)
Branch: 20.04_STABLE

commit 86fe066274b945b38123b7133cd8d731fad1cc18
Author: Lisa Seeto <email address hidden>
Date: Wed Jul 29 16:20:34 2020 +1200

Bug 1889341: upgrade jquery 3.4.1 to 3.5.1

- updated jquery using min file found here: https://code.jquery.com/jquery-3.5.1.min.js

Change-Id: I2d83e0fdf9ff4ab888e16522128778f45d313780
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 49efbd9bdb512e9ed603cfcce19b37d385a6daf1)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/11153
Committed: https://git.mahara.org/mahara/mahara/commit/a5996bf059d3af0c6ea1bf7f4fc02ee8c24ef15f
Submitter: Cecilia Vela Gurovic (<email address hidden>)
Branch: 19.10_STABLE

commit a5996bf059d3af0c6ea1bf7f4fc02ee8c24ef15f
Author: Lisa Seeto <email address hidden>
Date: Wed Jul 29 16:20:34 2020 +1200

Bug 1889341: upgrade jquery 3.4.1 to 3.5.1

- updated jquery using min file found here: https://code.jquery.com/jquery-3.5.1.min.js

Change-Id: I2d83e0fdf9ff4ab888e16522128778f45d313780
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 49efbd9bdb512e9ed603cfcce19b37d385a6daf1)

Reviewed: https://reviews.mahara.org/11154
Committed: https://git.mahara.org/mahara/mahara/commit/70bf64fed13ca4c215a12782ebfe2de775ff12a2
Submitter: Cecilia Vela Gurovic (<email address hidden>)
Branch: 19.04_STABLE

commit 70bf64fed13ca4c215a12782ebfe2de775ff12a2
Author: Lisa Seeto <email address hidden>
Date: Wed Jul 29 16:20:34 2020 +1200

Bug 1889341: upgrade jquery 3.4.1 to 3.5.1

- updated jquery using min file found here: https://code.jquery.com/jquery-3.5.1.min.js

Change-Id: I2d83e0fdf9ff4ab888e16522128778f45d313780
Signed-off-by: Lisa Seeto <email address hidden>
(cherry picked from commit 49efbd9bdb512e9ed603cfcce19b37d385a6daf1)

To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers